/*
Generic saving system; just for testing saving/loading of the bag system
*/

client
	var
		save_dir

	New()
		..()
		src.save_dir = "Savefiles/Players/[src.key].sav"
		if(!src.loading())
			src.buildBag()
			src.buildStorage()

	proc
		saving()
			var/savefile/s = new(src.save_dir)
			s["mob"] << src.mob

		loading()
			if(fexists(src.save_dir))
				var/savefile/s = new(src.save_dir)
				var/mob/m = src.mob
				s["mob"] >> src.mob
				del m
				return 1
			return 0

	verb
		saveNow()
			src.saving()

mob
	Read(var/savefile/s)
		..()
		if(src.client)
			src.client.loadBagSlots()
			src.client.loadStorageSlots()
		src.Move(locate(s["last_x"], s["last_y"], s["last_z"]))

	Write(var/savefile/s)
		src.removeAllBagLays() //Don't want to save any overlays/underlays
		..()
		src.refreshAllBagSlots() //Re-add the overlays/underlays after saving
		s["last_x"] << src.x
		s["last_y"] << src.y
		s["last_z"] << src.z